# Class Crud

java.lang.Object
java.util.AbstractCollection<JButton>
java.util.AbstractList<JButton>
java.util.ArrayList<JButton>
fr.iutfbleau.papillon.Crud

All Implemented Interfaces:
  `Serializable, Cloneable, Iterable<JButton>, Collection<JButton>, List<JButton>, RandomAccess, SequencedCollection<JButton>`

public class Crud extends ArrayList<JButton>
La classe `Crud` regroupe les trois boutons principaux de gestion des rappels dans l’application Papillon :

- Ajouter — pour créer un nouveau rappel,
- Supprimer — pour supprimer un ou plusieurs rappels,
- Modifier — pour éditer un rappel existant.

Cette classe centralise leur création et leur ajout à l’interface.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`Crud(Main main)`
Constructeur de la barre d’actions CRUD.

## Method Summary

### Methods inherited from class ArrayList

`add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, ensureCapacity, equals, forEach, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeIf, removeLast, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class AbstractCollection

`containsAll, toString`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Collection

`parallelStream, stream, toArray`

### Methods inherited from interface List

`containsAll, reversed`

## Constructor Details

### Crud

public Crud(Main main)
Constructeur de la barre d’actions CRUD.

Parameters:
  `main` - la fenêtre principale de l’application Papillon